Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class LoginAttemptRecord

    java.lang.Object
      com.fujitsu.iflow.model.util.LoginAttemptRecord

public class LoginAttemptRecord
extends java.lang.Object

This class help to support user authentication failure counting and lockout timing. It maintains a hashtable of login attempt counts along with timestamps of the attempt. Every failure to login increments the count up to a threshold. After the threshold is reached, a timeperiod must be waited before further login attempts can be tried.

Field Summary
`static int` | `loginLimit`
`static int` | `loginLockoutMinutes`

Method Summary
`static void` | `checkLoginThreshold(java.lang.String addr)`
`static void` | `clearCount(java.lang.String addr)`
`static LoginAttemptRecord` | `getRecord(java.lang.String addr)`
`static void` | `incrementCount(java.lang.String addr)`
`static int` | `triesLeft(java.lang.String addr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loginLimit

    public static int loginLimit

### loginLockoutMinutes

    public static int loginLockoutMinutes

Method Detail

### checkLoginThreshold

    public static void checkLoginThreshold(java.lang.String addr)
                                    throws ModelException

  Throws:
    `ModelException`

### incrementCount

    public static void incrementCount(java.lang.String addr)

### clearCount

    public static void clearCount(java.lang.String addr)

### triesLeft

    public static int triesLeft(java.lang.String addr)

### getRecord

    public static LoginAttemptRecord getRecord(java.lang.String addr)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD